phpLDAPadmin

# Class: QueryRender

Source Location: /templates/3rdParty/pla/lib/QueryRender.php

### Class Overview

    Visitor
       |
       --PageRender
          |
          --QueryRender

QueryRender class

#### Author(s):

### Methods

- accept
- drawSubTitle
- drawTemplateChoice
- getTemplates
- haveDefaultTemplate

### Inherited Variables

#### Class: PageRender

PageRender::$container
PageRender::$dn
PageRender::$page
PageRender::$template
PageRender::$template_id

#### Class: Visitor

Visitor::$server_id

### Inherited Methods

#### Class: PageRender

PageRender::__construct()
PageRender::accept()
  Initialise the PageRender
PageRender::drawCurrentValueAttribute()
  Draw the current specific value of an attribute
PageRender::drawCurrentValueBinaryAttribute()
PageRender::drawCurrentValueJpegAttribute()
  Draw a Jpeg Attribute
PageRender::drawCurrentValuePasswordAttribute()
PageRender::drawCurrentValuesAttribute()
  DRAW DISPLAYED CURRENT VALUES *
PageRender::drawFormReadOnlyValueAttribute()
PageRender::drawFormReadOnlyValueBinaryAttribute()
PageRender::drawFormReadOnlyValueJpegAttribute()
PageRender::drawFormReadOnlyValueMultiLineAttribute()
PageRender::drawFormReadOnlyValuePasswordAttribute()
PageRender::drawFormReadOnlyValueShadowAttribute()
PageRender::drawFormReadWriteValueAttribute()
PageRender::drawFormReadWriteValueBinaryAttribute()
PageRender::drawFormReadWriteValueDateAttribute()
PageRender::drawFormReadWriteValueDnAttribute()
PageRender::drawFormReadWriteValueGidAttribute()
PageRender::drawFormReadWriteValueMultiLineAttribute()
PageRender::drawFormReadWriteValuePasswordAttribute()
PageRender::drawFormReadWriteValueSelectionAttribute()
PageRender::drawFormReadWriteValueShadowAttribute()
PageRender::drawFormValueAttribute()
  Draw a input value for an attribute - used in a form.
PageRender::drawFormValueObjectClassAttribute()
PageRender::drawHiddenAttributes()
  Draw all hidden attributes
PageRender::drawHiddenValueAttribute()
  Draw specific hidden attribute
PageRender::drawHiddenValueBinaryAttribute()
  Draw specific hidden binary attribute
PageRender::drawNameAttribute()
  DRAW ATTRIBUTE NAME *
PageRender::drawNotesAttribute()
  ATTRIBUTE NOTES
PageRender::drawOldValueAttribute()
PageRender::drawOldValueBinaryAttribute()
PageRender::drawOldValueJpegAttribute()
  Draw a Jpeg Attribute
PageRender::drawOldValuePasswordAttribute()
PageRender::drawOldValuesAttribute()
  DRAW DISPLAYED OLD VALUES *
PageRender::drawShadowDateShadowAttribute()
PageRender::drawSubTitle()
PageRender::drawTitle()
PageRender::getAutoPostPasswordAttribute()
PageRender::getMode()
  May be overloaded in other classes
PageRender::getModeContainer()
PageRender::getNoteAliasAttribute()
PageRender::getNoteHintAttribute()
PageRender::getNoteRDNAttribute()
PageRender::getNoteRequiredAttribute()
PageRender::getNoteROAttribute()
PageRender::getPostAttribute()
  Process our <post> arguments from the templates
PageRender::getTemplate()
PageRender::getTemplateChoice()
  This function is invoked if we dont know which template we should be using.
PageRender::getTemplateID()
PageRender::getTemplates()
  Get our templates applicable for this object
PageRender::setContainer()
PageRender::setDN()
PageRender::visitAttribute()
  Dummy method...

#### Class: Visitor

Visitor::getServer()
  Return this LDAP Server object
Visitor::getServerID()
  Return the LDAP server ID
Visitor::__call()

### Class Details

[line 14]
QueryRender class

#### Tags:

todo: | need to add paging

[ Top ]

### Class Methods

### method accept [line 20]

`void accept( )`

Intialise and Render the QueryRender

#### Tags:

access: | public

Overrides PageRender::accept() (Initialise the PageRender)
[ Top ]

### method drawSubTitle [line 413]

`void drawSubTitle( [ $subtitle = null])`

#### Tags:

access: | public

Overrides PageRender::drawSubTitle() (parent method not documented)

#### Parameters:

| $subtitle |

[ Top ]

### method drawTemplateChoice [line 70]

`void drawTemplateChoice( )`

#### Tags:

access: | protected

[ Top ]

### method getTemplates [line 48]

`void getTemplates( )`

Get our templates applicable for this object

#### Tags:

access: | protected

Overrides PageRender::getTemplates() (Get our templates applicable for this object)
[ Top ]

### method haveDefaultTemplate [line 58]

`void haveDefaultTemplate( )`

Are default queries enabled?

#### Tags:

access: | protected

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:30:03 +0100 by phpDocumentor 1.4.1